<?php

namespace App\MessageTemplates;

use App\Enumerations\MessageType;

abstract class MessageTemplate {
    protected string $subject;
    protected string $message;

    public function __construct() {

    }

    public function getSubject(): string
    {
        return $this->subject;
    }

    public function setSubject(string $subject): void
    {
        $this->subject = $subject;
    }

    public function getMessage(): string
    {
        return $this->message;
    }

    public function setMessage(string $message): void
    {
        $this->message = $message;
    }



}
